*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	
}
body{
	font-family: 'Open Sans', sans-serif;
}

/* css display property

display block;
	- changes the element into a block element eg.h1,p,ul
	- takes up the whole width of the viewport
display inline
	- changes the element into inline elem
	eg. span, img, input
	- it only takes up as much width is needed

display inline-block
	- act as a inline
	still have the property of a width &height block element
	-img

display none
	- hides an element from the browser
*/

#div-1 {
        background-color: green;
        display: inline;
         width: 200px;
   		 height: 200px;
}

#span-1 {
    background-color: purple;
    display: none;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
    background-color: hotpink;
    display: none;
}

#img {
    width:  250px;
    height: 250px;

}
/*
CSS Background Property (Color Values)
 - hexcode values - hexadecimal color is specified with #rrggbb (A-F, 0-9)

 - rgb (red, green, blue) rgba (red, green, blue, alpha (opacity)) values
 	values inside the parenthesis is between 0-255

- color name values (140 colors) commonly used to change the color in an element
*/

#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgba(255, 105, 180, .5);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}
.sample{
	display: inline-block;
	width: 30%;
	/*thickeness, type, color*/
	border: 1px solid black;
	text-align: center;
}
/*this is float property*/
}
.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}
/*Demo float*/

/*#div-float{
	background-color: green;
	color: white;
}
#right{
	float: right;
}

#right > p {
	display: inline;
}*/

/*CSS units
- percetage % is relative to parent element
height and width will based on the parent container

- pixels is relative to viewing screen (based in reso)
	- screens with higher reso

- viewport unit
			-viewport width (vw)
			-viewport height(vh)
				 -relative to the viewport/browser window size
				 - use if we want to occupy
- em - relative to the parent element
- rem - relative to the root element (html tag)
		base on text
*/ 
.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 10px;
}
.fifty-percent{
	width: 50%;

}
.one-hundred-pixels{
	width: 100px;

}
.parent{
	width: 500px;
	border: 2px solid black;
	background-color: whitesmoke;
	font-size: 30px;
}
.fifty-vw{
	width: 50vw;
}
.twenty-five-vh{
	height: 25vh;
}
.one-rem{
	/*1 rem = 16px
	1 em = 16px*/
	font-size: 1rem;

}
.one-em{
	font-size: 1em;

}
.two-rem{
	font-size: 2rem; /*32px*/
}

.two-em{
	font-size: 2em; /*60px*/
}
.two-hundred-percent{
	font-size: 200%;
}


/* CSS Background Property (Image) */
.background{
	min-height: 20rem;
/*background-color: lightyellow;*/
/*path of your image
filepath
relative
absolute*/
	background-image: url(https://cutewallpaper.org/22/your-name-aesthetic-desktop-wallpapers/2954230375.jpg);
	/*sets how a bgimage will be repeated*/
	background-repeat: no-repeat;
	/*specifies the size of the bg image
	contain, auto, %*/
	background-size: 100%;
	/*position bg is relative to html elem
	x,y (left, right, center) (top,botttom,middle)*/
	background-position: center top;
	/*sets whether a background image scrolls with the rest is fixed.
	scroll or fixed*/
	background-attachment: fixed;
}
.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	line-height: 35rem;
}
.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

/*CSS Positioning
-default value: static, normal flow of the document
-position:  relative, remains in the normal flow of document but will be affected by the top, left, right bottom and z-index property.
-absolute, position relative to their parent element
-fixed, similar with the absolute position, but always relative to the element/window
-sticky, acts like a relatively positioned element until a scroll point and the it acts as fixed element
*/
.parent-element {
    background-color: skyblue;
    /*for adding values for padding: y-axis x-axis*/
    padding: 50px 10px;
    position: relative;
    height: 800vh;
}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 10px;
  
}

.child-three {
    background-color: gray;
    padding: 10px;
}
html{
	height: 800vh;
}

/*z-index
	positioned or stacked the elements according to the desire position
	greater value or order is the highest priority of visibility
	*/
.container {
  position: relative;
}

.black-box {
  z-index: 1;
  position: relative;
  border: 2px solid black;
  height: 100px;
  margin: 30px;
}

.gray-box {
  position: absolute;
  background: lightgray;
  height: 60px;  
  width: 70%;
  left: 50px;
  top: 50px;
  z-index: 3;
}

.green-box {
  position: absolute;
  background: lightgreen;
  width: 35%;
  left: 270px;
  top: -15px;
  height: 100px;
  z-index: 2;
}